unit ProgressBar;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  EUserCancel = class(Exception);
  TFmProgress = class(TForm)
    runProgressBar: TProgressBar;
    LblBegin: TLabel;
    LblEnd: TLabel;
    BtnCancel: TButton;
    procedure BtnCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FmProgress: TFmProgress;

implementation

uses frontend;

{$R *.DFM}

procedure TFmProgress.BtnCancelClick(Sender: TObject);
begin
 raise EUserCancel.Create('User clicked cancel');
end;

procedure TFmProgress.FormShow(Sender: TObject);
begin
  FmProgress.Caption := modeldef.modelname + ' run progress.';
  LblBegin.Caption := floattostr(time_start);
  LblEnd.Caption := floattostr(time_stop);
end;

end.
